MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029289Community[OCCT] OCCT:Foundation Classespublic2017-11-02 14:122018-06-29 21:19
ReporterMario Mancusi 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029289: Wrong derivatives in math_TrigonometricFunctionRoots.cxx file
DescriptionHallo, in OCC 7.2.0 it seems that the derivatives implemented in MyTrigoFunction::Derivative() and MyTrigoFunction::Derivatives() are wrong (see file math_TrigonometricFunctionRoots.cxx). In fact it seems that in MyTrigoFunction::Derivative() the code "D-=CC*SN+DD*CN;" should be corrected to "D+=-CC*SN+DD*CN;", while in MyTrigoFunction::Derivatives() the code "D = -AACN*SN + BB*(CN*CN+SN*SN);" should be corrected to "D = -AACN*SN + BB*(CN*CN-SN*SN);". Please, can you check?

Mario Mancusi
Steps To ReproduceTest case
bugs modalg_7 bug29289
TagsNo tags attached.
Test case numberbugs modalg_7 bug29289
Attached Filespng file icon trigo.PNG (43,942 bytes) 2017-11-02 16:36

- Relationships
related to 0000541closedapo Open CASCADE Extrema works wrong for line and circle laying on one plane. 
related to 0029271closedbugmaster Community missing factor in function gradient 

-  Notes
(0071947)
abv (manager)
2017-11-02 15:39

I completely agree
(0071951)
msv (developer)
2017-11-02 16:37

I have attached the picture from the old repository where this code has been changed last time (20 years ago).
(0071952)
msv (developer)
2017-11-02 16:38

Dear Igor, please take care of this bug.
(0071969)
abv (manager)
2017-11-03 09:24

Besides, I have run tests with the fix applied, and observed no differences from master. It seems that this functional is almost never used.
(0072172)
git (administrator)
2017-11-10 14:01

Branch CR29289 has been created by ifv.

SHA-1: aa7cd79593effa7f7bd08f4461c98928c31daa87


Detailed log of new commits:

Author: ifv
Date: Thu Nov 9 17:20:10 2017 +0300

    0029289: Wrong derivatives in math_TrigonometricFunctionRoots.cxx file
    
    Class MyTrigoFunction is removed from file math_TrigonometricFunctionRoots.cxx.
    New class math_TrigonometricEquationFunction with the same functionality is created to provide possibilities
    for individual testing.
    Expressions for derivatives are corrected.
    New Draw command "intconcon" for intersection 2d conic curves is created.
    Test command OCC29289 (file QABugs_20.cxx) is created for individual testing math_TrigonometricEquationFunction.
    It is used in tests/bugs/modalg_7/bug29289
(0072283)
git (administrator)
2017-11-16 14:50

Branch CR29289 has been updated forcibly by ifv.

SHA-1: 2c2c18a04739a97d4f3ca278eb33afb10b0b6acc
(0072306)
git (administrator)
2017-11-17 09:30

Branch CR29289 has been updated forcibly by ifv.

SHA-1: ce7eee5e1942133d6b6238d68f0480d952adb674
(0072308)
ifv (developer)
2017-11-17 09:37

Branches CR29289 and CR29289_prod are ready for review.
Test results in jenkins CR29289-CR29289_prod-IFV
(0072316)
msv (developer)
2017-11-17 13:12

Remarks:

src/GeomliteTest/GeomliteTest_API2dCommands.cxx
- 433 and others. It is unsafe to assign pointer to the address of the local variable, at this pointer having longer life cycle than the variable. It is needed to use operator new to allocate memory, and use std::auto_ptr to store the pointer.
- 490: incorrect indent and using tab character.

src/math/math_TrigonometricEquationFunction.hxx
- rename private class members like AA -> myAA.
(0072362)
git (administrator)
2017-11-21 16:40

Branch CR29289 has been updated forcibly by ifv.

SHA-1: 05dc349e8f89b630b8cf522abdf650cb47940b18
(0072363)
git (administrator)
2017-11-21 16:45

Branch CR29289 has been updated forcibly by ifv.

SHA-1: 68cf2d7830f06592b08d0edf756535bee7a408ce
(0072364)
ifv (developer)
2017-11-21 16:47

CR29289 is updated according to remarks
(0072389)
msv (developer)
2017-11-22 11:53

Reviewed.
(0072395)
bugmaster (administrator)
2017-11-22 14:31

Combination -
OCCT branch : CR29289 SHA - 2c2c18a04739a97d4f3ca278eb33afb10b0b6acc
Products branch : CR29289_prod SHA - 18a277f1597afbab857c1fb86627bc4f85729afd
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 20668.26000000056 / 20769.880000000467 [-0.49%]
Products
Total CPU difference: 7860.150000000077 / 7901.260000000098 [-0.52%]
Windows-64-VC10:
OCCT
Total CPU difference: 18482.28087539841 / 18481.95327329852 [+0.00%]
Products
Total CPU difference: 7854.291547699987 / 7874.587277799976 [-0.26%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

New test case is OK
(0072426)
bugmaster (administrator)
2017-11-23 11:22

I created IR-WEEK47 for branches with status TESTED.
CR29289 rebased on all others branches caused problem of compilation on all platforms.
I removed CR29289 from IR-WEEK47.
Problems are here:
http://jenkins-test-10.nnov.opencascade.com/view/IR-WEEK47-INV/view/OCCT%20compile/job/IR-WEEK47-INV-OCCT-Windows-64-VC10-opt-compile/3/parsed_console/ [^]
(0072439)
git (administrator)
2017-11-23 13:37

Branch CR29289 has been updated by ifv.

SHA-1: aa029eedfe228df542063798b0a97cbf55203579


Detailed log of new commits:

Author: ifv
Date: Thu Nov 23 13:34:52 2017 +0300

    Fix for compilation problems with auto_ptr

(0072445)
ifv (developer)
2017-11-23 14:53

CR29289 is updated to fix compilation problems
(0072462)
bugmaster (administrator)
2017-11-24 11:46

Recently we implemented support VC 2008
Fix for CR29289 caused problems of compilation on this platform.
http://jenkins-test-08.nnov.opencascade.com/view/IR-WEEK47_IR-WEEK47/view/OCCT%20compile/job/IR-WEEK47_IR-WEEK47-OCCT-Windows-32-VC9-opt-compile/2/parsed_console/ [^]
http://jenkins-test-08.nnov.opencascade.com/view/IR-WEEK47_IR-WEEK47/view/OCCT%20compile/job/IR-WEEK47_IR-WEEK47-OCCT-Windows-64-VC9-opt-compile/2/parsed_console/ [^]
(0072464)
msv (developer)
2017-11-24 12:21

Dear Igor,
1. Please correct the code of the new command intconcon so that to put information message in console with each "return 1".
2. See the example of usage of unique_ptr in OSD_Parallel.hxx.
(0072468)
git (administrator)
2017-11-24 16:28

Branch CR29289 has been updated forcibly by ifv.

SHA-1: ad8f896947c4e8cc50f7c909958d0874d142e69f
(0072469)
ifv (developer)
2017-11-24 16:31

CR29289 is updated to fix problem with unique/auto_ptr
(0072479)
git (administrator)
2017-11-25 14:54

Branch CR29289 has been updated forcibly by inv.

SHA-1: a4a493c578e37c91d4eaeb59ab298fd5bc6394c2
(0072482)
bugmaster (administrator)
2017-11-26 17:41

Problem of compilation again:

http://jenkins-test-08.nnov.opencascade.com/view/IR-WEEK48_IR-WEEK48/view/OCCT%20compile/job/IR-WEEK48_IR-WEEK48-OCCT-Windows-32-VC9-opt-compile/ [^]

http://jenkins-test-08.nnov.opencascade.com/view/IR-WEEK48_IR-WEEK48/view/OCCT%20compile/job/IR-WEEK48_IR-WEEK48-OCCT-Windows-64-VC9-opt-compile/ [^]
(0072488)
git (administrator)
2017-11-27 10:13

Branch CR29289 has been updated forcibly by msv.

SHA-1: 102c033a9843337b6d856a6939bd54d5e14779f8
(0072489)
msv (developer)
2017-11-27 10:14

Correct version of the branch has been restored.
(0072490)
bugmaster (administrator)
2017-11-27 10:58

Results of compilation with VC2008 are OK.

http://jenkins-test-08.nnov.opencascade.com/view/CR29289_CR29289_prod/view/OCCT%20compile/job/CR29289_CR29289_prod-OCCT-Windows-32-VC9-opt-compile/ [^]

http://jenkins-test-08.nnov.opencascade.com/view/CR29289_CR29289_prod/view/OCCT%20compile/job/CR29289_CR29289_prod-OCCT-Windows-64-VC9-opt-compile/ [^]

(0072809)
git (administrator)
2017-12-07 21:07

Branch CR29289 has been deleted by kgv.

SHA-1: 102c033a9843337b6d856a6939bd54d5e14779f8

- Related Changesets
occt: master 18d8e3e7
Timestamp: 2017-11-09 14:20:10
Author: ifv
Committer: bugmaster
Details ] Diff ]
0029289: Wrong derivatives in math_TrigonometricFunctionRoots.cxx file

Class MyTrigoFunction is removed from file math_TrigonometricFunctionRoots.cxx.
New class math_TrigonometricEquationFunction with the same functionality is created to provide possibilities
for individual testing.
Expressions for derivatives are corrected.
New Draw command "intconcon" for intersection 2d conic curves is created.
Test command OCC29289 (file QABugs_20.cxx) is created for individual testing math_TrigonometricEquationFunction.
It is used in tests/bugs/modalg_7/bug29289
mod - dox/user_guides/draw_test_harness/draw_test_harness.md Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_API2dCommands.cxx Diff ] File ]
mod - src/math/FILES Diff ] File ]
add - src/math/math_TrigonometricEquationFunction.hxx Diff ] File ]
mod - src/math/math_TrigonometricFunctionRoots.cxx Diff ] File ]
mod - src/math/math_TrigonometricFunctionRoots.hxx Diff ] File ]
mod - src/QABugs/QABugs_20.cxx Diff ] File ]
add - tests/bugs/modalg_7/bug29289 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-11-02 14:12 Mario Mancusi New Issue
2017-11-02 14:12 Mario Mancusi Assigned To => abv
2017-11-02 15:39 abv Note Added: 0071947
2017-11-02 16:36 msv File Added: trigo.PNG
2017-11-02 16:37 msv Note Added: 0071951
2017-11-02 16:38 msv Note Added: 0071952
2017-11-02 16:38 msv Assigned To abv => ifv
2017-11-02 16:38 msv Status new => assigned
2017-11-02 17:54 abv Relationship added related to 0029271
2017-11-03 09:19 abv Relationship added related to 0000541
2017-11-03 09:24 abv Note Added: 0071969
2017-11-10 14:01 git Note Added: 0072172
2017-11-16 14:50 git Note Added: 0072283
2017-11-17 09:30 git Note Added: 0072306
2017-11-17 09:34 ifv Steps to Reproduce Updated View Revisions
2017-11-17 09:37 ifv Note Added: 0072308
2017-11-17 09:37 ifv Assigned To ifv => msv
2017-11-17 09:37 ifv Status assigned => resolved
2017-11-17 13:12 msv Note Added: 0072316
2017-11-17 13:12 msv Assigned To msv => ifv
2017-11-17 13:12 msv Status resolved => assigned
2017-11-21 16:40 git Note Added: 0072362
2017-11-21 16:45 git Note Added: 0072363
2017-11-21 16:47 ifv Note Added: 0072364
2017-11-21 16:47 ifv Assigned To ifv => msv
2017-11-21 16:47 ifv Status assigned => resolved
2017-11-22 11:53 msv Note Added: 0072389
2017-11-22 11:53 msv Assigned To msv => bugmaster
2017-11-22 11:53 msv Status resolved => reviewed
2017-11-22 14:21 bugmaster Test case number => bugs modalg_7 bug29289
2017-11-22 14:31 bugmaster Note Added: 0072395
2017-11-22 14:31 bugmaster Status reviewed => tested
2017-11-23 11:22 bugmaster Note Added: 0072426
2017-11-23 11:22 bugmaster Assigned To bugmaster => ifv
2017-11-23 11:22 bugmaster Status tested => assigned
2017-11-23 13:37 git Note Added: 0072439
2017-11-23 14:53 ifv Note Added: 0072445
2017-11-23 14:53 ifv Status assigned => resolved
2017-11-23 14:54 ifv Assigned To ifv => bugmaster
2017-11-23 14:54 ifv Status resolved => reviewed
2017-11-24 11:15 bugmaster Note Added: 0072457
2017-11-24 11:15 bugmaster Status reviewed => tested
2017-11-24 11:46 bugmaster Note Added: 0072462
2017-11-24 11:46 bugmaster Assigned To bugmaster => ifv
2017-11-24 11:46 bugmaster Status tested => assigned
2017-11-24 11:46 bugmaster Note Deleted: 0072457
2017-11-24 12:21 msv Note Added: 0072464
2017-11-24 16:28 git Note Added: 0072468
2017-11-24 16:31 ifv Note Added: 0072469
2017-11-24 16:31 ifv Status assigned => resolved
2017-11-24 16:31 ifv Assigned To ifv => bugmaster
2017-11-24 16:31 ifv Status resolved => reviewed
2017-11-25 14:54 git Note Added: 0072479
2017-11-26 17:41 bugmaster Note Added: 0072482
2017-11-26 17:41 bugmaster Assigned To bugmaster => ifv
2017-11-26 17:41 bugmaster Status reviewed => assigned
2017-11-27 10:13 git Note Added: 0072488
2017-11-27 10:14 msv Assigned To ifv => msv
2017-11-27 10:14 msv Status assigned => resolved
2017-11-27 10:14 msv Note Added: 0072489
2017-11-27 10:14 msv Assigned To msv => bugmaster
2017-11-27 10:14 msv Status resolved => reviewed
2017-11-27 10:58 bugmaster Note Added: 0072490
2017-11-27 10:58 bugmaster Status reviewed => tested
2017-12-02 16:59 bugmaster Changeset attached => occt master 18d8e3e7
2017-12-02 16:59 bugmaster Status tested => verified
2017-12-02 16:59 bugmaster Resolution open => fixed
2017-12-07 21:07 git Note Added: 0072809
2018-02-18 10:38 abv Target Version => 7.4.0*
2018-02-20 12:58 user533 Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker